unit ComTester;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, MOCom_TLB, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Memo1: TMemo;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Button7: TButton;
    Button8: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
  private
    { Private declarations }
    FCOMOBJ: IMOMessage;
    FUtilityObj: IUtility;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  FCOMOBJ := CoMOMessage.Create;
  FCOMOBJ.Passphrase := 'pgpgutr45';

  FUtilityObj := CoUtility.Create;
  
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  FCOMOBJ.Patient.FirstName := 'Andrew';
  FCOMOBJ.Patient.LastName := 'McIntyre';
  FCOMOBJ.Patient.DateOfBirth := Now;
  FCOMOBJ.Patient.Sex := Male;
  FCOMOBJ.Patient.Address.StreetAddress := '24 Sutherland Street';
  FCOMOBJ.Patient.Address.City := 'BUDERIM';
  FCOMOBJ.Patient.Address.Postcode := '4556';
  
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  FCOMOBJ.SendTo.FirstName := 'Melissa';
  FCOMOBJ.SendTo.LastName := 'White';
  FCOMOBJ.SendTo.IDs.AddProviderNo('0191322W');

  FCOMOBJ.SentFrom.FirstName := 'Jared';
  FCOMOBJ.SentFrom.MiddleName := 'Michael';
  FCOMOBJ.SentFrom.LastName := 'Davison';
  FCOMOBJ.SentFrom.Prefix := 'Mr';
  FCOMOBJ.SentFrom.IDs.AddProviderNo('JD455600041');
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  FCOMOBJ.Content.Title := 'Letter';
  FCOMOBJ.Content.Content := Memo1.Lines.Text;
  FCOMOBJ.Content.ReportID := '235667';
  FCOMOBJ.Content.ContentType := MOCom_TLB.Text;
end;

procedure TForm1.Button5Click(Sender: TObject);
var SendResult: ISendResult;
    i: Integer;
begin
  SendResult := FCOMOBJ.Send;
  if SendResult.ErrorCount > 0 then
  begin
    memo1.Lines.Clear;
    for i := 0 to SendResult.ErrorCount -1 do
      Memo1.Lines.Add(SendResult.ErrorMessages[i]);
    showmessage('Send failed');  
  end;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  FCOMOBJ.PreviewToFile('ComPreview.jpg');
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  ShowMessage(Edit1.Text + ' routable = ' + BoolToStr(FUtilityObj.IsProviderOnline(Edit1.Text), True));
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  ShowMessage(Edit2.Text + ' routable = ' + BoolToStr(FUtilityObj.IsProviderOnline(Edit2.Text), True));
end;

end.
